Get withdrawal request details
curl --request GET \
--url https://tag.alfa-bot.com/api/prod/v1/withdrawal-request \
--header 'token: <api-key>'import requests
url = "https://tag.alfa-bot.com/api/prod/v1/withdrawal-request"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://tag.alfa-bot.com/api/prod/v1/withdrawal-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "200",
"error_code": null,
"error_message": null,
"data": {
"success": true,
"data": {
"request_id": "wd_6a16c48222d327108513784f",
"external_id": "client_request_10001",
"amount": "100.00",
"currency": "USDT",
"network": "trx",
"sender": "exchange",
"sender_wallet": "TQv5p...9xA",
"recipient_wallet": "TVx9...1bC",
"fee": "1.00",
"fee_included": true,
"status": "new",
"comment": "Client withdrawal",
"created_at": "2026-05-28T09:00:00.000Z",
"updated_at": "2026-05-28T09:01:00.000Z",
"transaction_status": "confirmed",
"hash": "96fa587a6b44bcb1c2d17958b18d1b2bb89a5453d6be0098f8e1ea8dfe5b591b"
}
}
}{
"code": "400",
"error_code": "request",
"error_message": "Validation failed: request_id is required",
"data": {
"request_id": "Required field"
}
}{
"code": "500",
"error_code": "system",
"error_message": "Unexpected server error. Please try again later.",
"data": null
}Withdrawal
Get withdrawal request details
GET
/
withdrawal-request
Get withdrawal request details
Authorizations
Pass your API token in the token request header.
Query Parameters
Withdrawal request ID filter.
Response
OK - withdrawal request details were returned successfully
⌘I